#include "..\aes\aes.h"
#include "..\serpent\serpent.h"
#include "..\twofish\twofish.h"

#define CIPHER_AES 1
#define CIPHER_SERPENT 2
#define CIPHER_TWOFISH 3

union {aes_key aes; serpent_key serpent; twofish_key twofish;} keys[6];
int n_cipher;

void XTS_EncryptSector(int cipher, unsigned long long sector, void *buffer);
void XTS_DecryptSector(int cipher, unsigned long long sector, void *buffer);
